-- | All pass delay line with linear interpolation.
module Sound.SC3.UGen.Record.AllpassL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data AllpassL = AllpassL {
  rate :: S.Rate,
  input :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
allpassL :: AllpassL
allpassL = AllpassL {
  rate = S.AR,
  input = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkAllpassL :: AllpassL -> S.UGen
mkAllpassL (AllpassL r a' b' c' d') = S.mkOsc r "AllpassL" [a',b',c',d'] 1
instance Make AllpassL where
  ugen = mkAllpassL
