-- | Buffer based all pass delay line with no interpolation.
module Sound.SC3.UGen.Record.BufAllpassN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufAllpassN = BufAllpassN {
  buf :: S.UGen,
  input :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
bufAllpassN :: BufAllpassN
bufAllpassN = BufAllpassN {
  buf = 0.0,
  input = 0.0,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkBufAllpassN :: BufAllpassN -> S.UGen
mkBufAllpassN (BufAllpassN  a' b' c' d') = S.mkOsc S.AR "BufAllpassN" [a',b',c',d'] 1
instance Make BufAllpassN where
  ugen = mkBufAllpassN
