-- | Concatenative Cross-Synthesis on Live Streams
module Sound.SC3.UGen.Record.Concat2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Concat2 = Concat2 {
  control :: S.UGen,
  source :: S.UGen,
  storesize :: S.UGen,
  seektime :: S.UGen,
  seekdur :: S.UGen,
  matchlength :: S.UGen,
  freezestore :: S.UGen,
  zcr :: S.UGen,
  lms :: S.UGen,
  sc :: S.UGen,
  st :: S.UGen,
  randscore :: S.UGen,
  threshold :: S.UGen
  } deriving (Show)
concat2 :: Concat2
concat2 = Concat2 {
  control = 0.0,
  source = 0.0,
  storesize = 1.0,
  seektime = 1.0,
  seekdur = 1.0,
  matchlength = 0.05,
  freezestore = 0.0,
  zcr = 1.0,
  lms = 1.0,
  sc = 1.0,
  st = 0.0,
  randscore = 0.0,
  threshold = 0.01
  }
mkConcat2 :: Concat2 -> S.UGen
mkConcat2 (Concat2  a' b' c' d' e' f' g' h' i' j' k' l' m') = S.mkOsc S.AR "Concat2" [a',b',c',d',e',f',g',h',i',j',k',l',m'] 1
instance Make Concat2 where
  ugen = mkConcat2
