-- | Digitally modelled analog filter
module Sound.SC3.UGen.Record.DFM1 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DFM1 = DFM1 {
  input :: S.UGen,
  freq :: S.UGen,
  res :: S.UGen,
  inputgain :: S.UGen,
  type_ :: S.UGen,
  noiselevel :: S.UGen
  } deriving (Show)
dFM1 :: DFM1
dFM1 = DFM1 {
  input = 0.0,
  freq = 1000.0,
  res = 0.1,
  inputgain = 1.0,
  type_ = 0.0,
  noiselevel = 0.0003
  }
mkDFM1 :: DFM1 -> S.UGen
mkDFM1 (DFM1  a' b' c' d' e' f') = S.mkOsc S.AR "DFM1" [a',b',c',d',e',f'] 1
instance Make DFM1 where
  ugen = mkDFM1
