-- | Exponential decay.
module Sound.SC3.UGen.Record.Decay2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Decay2 = Decay2 {
  rate :: S.Rate,
  input :: S.UGen,
  attackTime :: S.UGen,
  decayTime :: S.UGen
  } deriving (Show)
decay2 :: Decay2
decay2 = Decay2 {
  rate = S.AR,
  input = 0.0,
  attackTime = 0.01,
  decayTime = 1.0
  }
mkDecay2 :: Decay2 -> S.UGen
mkDecay2 (Decay2 r a' b' c') = S.mkOsc r "Decay2" [a',b',c'] 1
instance Make Decay2 where
  ugen = mkDecay2
