-- | Nested Allpass filters as proposed by Vercoe and Pluckett
module Sound.SC3.UGen.Record.DoubleNestedAllpassC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DoubleNestedAllpassC = DoubleNestedAllpassC {
  input :: S.UGen,
  maxdelay1 :: S.UGen,
  delay1 :: S.UGen,
  gain1 :: S.UGen,
  maxdelay2 :: S.UGen,
  delay2 :: S.UGen,
  gain2 :: S.UGen,
  maxdelay3 :: S.UGen,
  delay3 :: S.UGen,
  gain3 :: S.UGen
  } deriving (Show)
doubleNestedAllpassC :: DoubleNestedAllpassC
doubleNestedAllpassC = DoubleNestedAllpassC {
  input = 0.0,
  maxdelay1 = 0.0047,
  delay1 = 0.0047,
  gain1 = 0.15,
  maxdelay2 = 0.022,
  delay2 = 0.022,
  gain2 = 0.25,
  maxdelay3 = 0.0083,
  delay3 = 0.0083,
  gain3 = 0.3
  }
mkDoubleNestedAllpassC :: DoubleNestedAllpassC -> S.UGen
mkDoubleNestedAllpassC (DoubleNestedAllpassC  a' b' c' d' e' f' g' h' i' j') = S.mkOsc S.AR "DoubleNestedAllpassC" [a',b',c',d',e',f',g',h',i',j'] 1
instance Make DoubleNestedAllpassC where
  ugen = mkDoubleNestedAllpassC
