-- | Bank of resonators.
module Sound.SC3.UGen.Record.DynKlank where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DynKlank = DynKlank {
  rate :: S.Rate,
  specificationsArrayRef :: S.UGen,
  input :: S.UGen,
  freqscale :: S.UGen,
  freqoffset :: S.UGen,
  decayscale :: S.UGen
  } deriving (Show)
dynKlank :: DynKlank
dynKlank = DynKlank {
  rate = S.AR,
  specificationsArrayRef = 0.0,
  input = 0.0,
  freqscale = 1.0,
  freqoffset = 0.0,
  decayscale = 1.0
  }
mkDynKlank :: DynKlank -> S.UGen
mkDynKlank (DynKlank r a' b' c' d' e') = S.mkOsc r "DynKlank" [a',b',c',d',e'] 1
instance Make DynKlank where
  ugen = mkDynKlank
