-- | Feedback sine with chaotic phase indexing
module Sound.SC3.UGen.Record.FBSineC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FBSineC = FBSineC {
  freq :: S.UGen,
  im :: S.UGen,
  fb :: S.UGen,
  a :: S.UGen,
  c :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
fBSineC :: FBSineC
fBSineC = FBSineC {
  freq = 22050.0,
  im = 1.0,
  fb = 0.1,
  a = 1.1,
  c = 0.5,
  xi = 0.1,
  yi = 0.1
  }
mkFBSineC :: FBSineC -> S.UGen
mkFBSineC (FBSineC  a' b' c' d' e' f' g') = S.mkOsc S.AR "FBSineC" [a',b',c',d',e',f',g'] 1
instance Make FBSineC where
  ugen = mkFBSineC
