-- | Fast Fourier Transform
module Sound.SC3.UGen.Record.FFT where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FFT = FFT {
  buffer :: S.UGen,
  input :: S.UGen,
  hop :: S.UGen,
  wintype :: S.UGen,
  active :: S.UGen,
  winsize :: S.UGen
  } deriving (Show)
fFT :: FFT
fFT = FFT {
  buffer = 0.0,
  input = 0.0,
  hop = 0.5,
  wintype = 0.0,
  active = 1.0,
  winsize = 0.0
  }
mkFFT :: FFT -> S.UGen
mkFFT (FFT  a' b' c' d' e' f') = S.mkOsc S.KR "FFT" [a',b',c',d',e',f'] 1
instance Make FFT where
  ugen = mkFFT
