-- | First Order Ambisonic (FOA) asymmetry transformer
module Sound.SC3.UGen.Record.FoaAsymmetry where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaAsymmetry = FoaAsymmetry {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaAsymmetry :: FoaAsymmetry
foaAsymmetry = FoaAsymmetry {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaAsymmetry :: FoaAsymmetry -> S.UGen
mkFoaAsymmetry (FoaAsymmetry  a' b' c' d' e') = S.mkOsc S.AR "FoaAsymmetry" [a',b',c',d',e'] 4
instance Make FoaAsymmetry where
  ugen = mkFoaAsymmetry
