-- | First Order Ambisonic (FOA) directivity transformer
module Sound.SC3.UGen.Record.FoaDirectX where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaDirectX = FoaDirectX {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaDirectX :: FoaDirectX
foaDirectX = FoaDirectX {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaDirectX :: FoaDirectX -> S.UGen
mkFoaDirectX (FoaDirectX  a' b' c' d' e') = S.mkOsc S.AR "FoaDirectX" [a',b',c',d',e'] 4
instance Make FoaDirectX where
  ugen = mkFoaDirectX
