-- | First Order Ambisonic (FOA) directivity transformer
module Sound.SC3.UGen.Record.FoaDirectY where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaDirectY = FoaDirectY {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaDirectY :: FoaDirectY
foaDirectY = FoaDirectY {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaDirectY :: FoaDirectY -> S.UGen
mkFoaDirectY (FoaDirectY  a' b' c' d' e') = S.mkOsc S.AR "FoaDirectY" [a',b',c',d',e'] 4
instance Make FoaDirectY where
  ugen = mkFoaDirectY
