-- | First Order Ambisonic (FOA) directivity transformer
module Sound.SC3.UGen.Record.FoaDirectZ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaDirectZ = FoaDirectZ {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaDirectZ :: FoaDirectZ
foaDirectZ = FoaDirectZ {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaDirectZ :: FoaDirectZ -> S.UGen
mkFoaDirectZ (FoaDirectZ  a' b' c' d' e') = S.mkOsc S.AR "FoaDirectZ" [a',b',c',d',e'] 4
instance Make FoaDirectZ where
  ugen = mkFoaDirectZ
