-- | First Order Ambisonic (FOA) dominance transformer
module Sound.SC3.UGen.Record.FoaDominateZ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaDominateZ = FoaDominateZ {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  gain :: S.UGen
  } deriving (Show)
foaDominateZ :: FoaDominateZ
foaDominateZ = FoaDominateZ {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  gain = 0.0
  }
mkFoaDominateZ :: FoaDominateZ -> S.UGen
mkFoaDominateZ (FoaDominateZ  a' b' c' d' e') = S.mkOsc S.AR "FoaDominateZ" [a',b',c',d',e'] 4
instance Make FoaDominateZ where
  ugen = mkFoaDominateZ
