-- | First Order Ambisonic (FOA) focus transformer
module Sound.SC3.UGen.Record.FoaFocusX where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaFocusX = FoaFocusX {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaFocusX :: FoaFocusX
foaFocusX = FoaFocusX {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaFocusX :: FoaFocusX -> S.UGen
mkFoaFocusX (FoaFocusX  a' b' c' d' e') = S.mkOsc S.AR "FoaFocusX" [a',b',c',d',e'] 4
instance Make FoaFocusX where
  ugen = mkFoaFocusX
