-- | First Order Ambisonic (FOA) focus transformer
module Sound.SC3.UGen.Record.FoaFocusZ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaFocusZ = FoaFocusZ {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  angle :: S.UGen
  } deriving (Show)
foaFocusZ :: FoaFocusZ
foaFocusZ = FoaFocusZ {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  angle = 0.0
  }
mkFoaFocusZ :: FoaFocusZ -> S.UGen
mkFoaFocusZ (FoaFocusZ  a' b' c' d' e') = S.mkOsc S.AR "FoaFocusZ" [a',b',c',d',e'] 4
instance Make FoaFocusZ where
  ugen = mkFoaFocusZ
