-- | First Order Ambisonic (FOA) proximity effect filter
module Sound.SC3.UGen.Record.FoaProximity where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data FoaProximity = FoaProximity {
  w :: S.UGen,
  x :: S.UGen,
  y :: S.UGen,
  z :: S.UGen,
  distance :: S.UGen
  } deriving (Show)
foaProximity :: FoaProximity
foaProximity = FoaProximity {
  w = 0.0,
  x = 0.0,
  y = 0.0,
  z = 0.0,
  distance = 1.0
  }
mkFoaProximity :: FoaProximity -> S.UGen
mkFoaProximity (FoaProximity  a' b' c' d' e') = S.mkOsc S.AR "FoaProximity" [a',b',c',d',e'] 4
instance Make FoaProximity where
  ugen = mkFoaProximity
