-- | 24db/oct rolloff, 4nd order resonant Low Pass Filter
module Sound.SC3.UGen.Record.IIRFilter where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data IIRFilter = IIRFilter {
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
iIRFilter :: IIRFilter
iIRFilter = IIRFilter {
  input = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkIIRFilter :: IIRFilter -> S.UGen
mkIIRFilter (IIRFilter  a' b' c') = S.mkOsc S.AR "IIRFilter" [a',b',c'] 1
instance Make IIRFilter where
  ugen = mkIIRFilter
