-- | Tests if a signal is within a given range.
module Sound.SC3.UGen.Record.InRange where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InRange = InRange {
  rate :: S.Rate,
  input :: S.UGen,
  lo :: S.UGen,
  hi :: S.UGen
  } deriving (Show)
inRange :: InRange
inRange = InRange {
  rate = S.AR,
  input = 0.0,
  lo = 0.0,
  hi = 1.0
  }
mkInRange :: InRange -> S.UGen
mkInRange (InRange r a' b' c') = S.mkOsc r "InRange" [a',b',c'] 1
instance Make InRange where
  ugen = mkInRange
