-- | latoocarfian 2D chaotic generator
module Sound.SC3.UGen.Record.Latoocarfian2DC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Latoocarfian2DC = Latoocarfian2DC {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  d :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen
  } deriving (Show)
latoocarfian2DC :: Latoocarfian2DC
latoocarfian2DC = Latoocarfian2DC {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  a = 1.0,
  b = 3.0,
  c = 0.5,
  d = 0.5,
  x0 = 0.34082301375036,
  y0 = -0.38270086971332
  }
mkLatoocarfian2DC :: Latoocarfian2DC -> S.UGen
mkLatoocarfian2DC (Latoocarfian2DC r a' b' c' d' e' f' g' h') = S.mkOsc r "Latoocarfian2DC" [a',b',c',d',e',f',g',h'] 1
instance Make Latoocarfian2DC where
  ugen = mkLatoocarfian2DC
