-- | Two channel linear crossfade.
module Sound.SC3.UGen.Record.LinXFade2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LinXFade2 = LinXFade2 {
  rate :: S.Rate,
  inA :: S.UGen,
  inB :: S.UGen,
  pan :: S.UGen,
  level :: S.UGen
  } deriving (Show)
linXFade2 :: LinXFade2
linXFade2 = LinXFade2 {
  rate = S.AR,
  inA = 0.0,
  inB = 0.0,
  pan = 0.0,
  level = 1.0
  }
mkLinXFade2 :: LinXFade2 -> S.UGen
mkLinXFade2 (LinXFade2 r a' b' c' d') = S.mkOsc r "LinXFade2" [a',b',c',d'] 1
instance Make LinXFade2 where
  ugen = mkLinXFade2
