-- | lorenz chaotic trigger generator
module Sound.SC3.UGen.Record.LorenzTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LorenzTrig = LorenzTrig {
  rate :: S.Rate,
  minfreq :: S.UGen,
  maxfreq :: S.UGen,
  s :: S.UGen,
  r :: S.UGen,
  b :: S.UGen,
  h :: S.UGen,
  x0 :: S.UGen,
  y0 :: S.UGen,
  z0 :: S.UGen
  } deriving (Show)
lorenzTrig :: LorenzTrig
lorenzTrig = LorenzTrig {
  rate = S.AR,
  minfreq = 11025.0,
  maxfreq = 22050.0,
  s = 10.0,
  r = 28.0,
  b = 2.6666667,
  h = 0.02,
  x0 = 0.090879182417163,
  y0 = 2.97077458055,
  z0 = 24.282041054363
  }
mkLorenzTrig :: LorenzTrig -> S.UGen
mkLorenzTrig (LorenzTrig r a' b' c' d' e' f' g' h' i') = S.mkOsc r "LorenzTrig" [a',b',c',d',e',f',g',h',i'] 1
instance Make LorenzTrig where
  ugen = mkLorenzTrig
