-- | Reduce precision.
module Sound.SC3.UGen.Record.MantissaMask where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MantissaMask = MantissaMask {
  rate :: S.Rate,
  input :: S.UGen,
  bits :: S.UGen
  } deriving (Show)
mantissaMask :: MantissaMask
mantissaMask = MantissaMask {
  rate = S.AR,
  input = 0.0,
  bits = 3.0
  }
mkMantissaMask :: MantissaMask -> S.UGen
mkMantissaMask (MantissaMask r a' b') = S.mkOsc r "MantissaMask" [a',b'] 1
instance Make MantissaMask where
  ugen = mkMantissaMask
