-- | Piano synthesiser
module Sound.SC3.UGen.Record.MdaPiano where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MdaPiano = MdaPiano {
  freq :: S.UGen,
  gate :: S.UGen,
  vel :: S.UGen,
  decay :: S.UGen,
  release :: S.UGen,
  hard :: S.UGen,
  velhard :: S.UGen,
  muffle :: S.UGen,
  velmuff :: S.UGen,
  velcurve :: S.UGen,
  stereo :: S.UGen,
  tune :: S.UGen,
  random :: S.UGen,
  stretch :: S.UGen,
  sustain :: S.UGen
  } deriving (Show)
mdaPiano :: MdaPiano
mdaPiano = MdaPiano {
  freq = 440.0,
  gate = 1.0,
  vel = 100.0,
  decay = 0.8,
  release = 0.8,
  hard = 0.8,
  velhard = 0.8,
  muffle = 0.8,
  velmuff = 0.8,
  velcurve = 0.8,
  stereo = 0.2,
  tune = 0.5,
  random = 0.1,
  stretch = 0.1,
  sustain = 0.0
  }
mkMdaPiano :: MdaPiano -> S.UGen
mkMdaPiano (MdaPiano  a' b' c' d' e' f' g' h' i' j' k' l' m' n' o') = S.mkOsc S.AR "MdaPiano" [a',b',c',d',e',f',g',h',i',j',k',l',m',n',o'] 2
instance Make MdaPiano where
  ugen = mkMdaPiano
