-- | Waveguide mesh physical models of drum membranes
module Sound.SC3.UGen.Record.MembraneCircle where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MembraneCircle = MembraneCircle {
  excitation :: S.UGen,
  tension :: S.UGen,
  loss :: S.UGen
  } deriving (Show)
membraneCircle :: MembraneCircle
membraneCircle = MembraneCircle {
  excitation = 0.0,
  tension = 0.05,
  loss = 0.99999
  }
mkMembraneCircle :: MembraneCircle -> S.UGen
mkMembraneCircle (MembraneCircle  a' b' c') = S.mkOsc S.AR "MembraneCircle" [a',b',c'] 1
instance Make MembraneCircle where
  ugen = mkMembraneCircle
