-- | Waveguide mesh physical models of drum membranes
module Sound.SC3.UGen.Record.MembraneHexagon where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MembraneHexagon = MembraneHexagon {
  excitation :: S.UGen,
  tension :: S.UGen,
  loss :: S.UGen
  } deriving (Show)
membraneHexagon :: MembraneHexagon
membraneHexagon = MembraneHexagon {
  excitation = 0.0,
  tension = 0.05,
  loss = 0.99999
  }
mkMembraneHexagon :: MembraneHexagon -> S.UGen
mkMembraneHexagon (MembraneHexagon  a' b' c') = S.mkOsc S.AR "MembraneHexagon" [a',b',c'] 1
instance Make MembraneHexagon where
  ugen = mkMembraneHexagon
