-- | Nested Allpass filters as proposed by Vercoe and Pluckett
module Sound.SC3.UGen.Record.NestedAllpassL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data NestedAllpassL = NestedAllpassL {
  input :: S.UGen,
  maxdelay1 :: S.UGen,
  delay1 :: S.UGen,
  gain1 :: S.UGen,
  maxdelay2 :: S.UGen,
  delay2 :: S.UGen,
  gain2 :: S.UGen
  } deriving (Show)
nestedAllpassL :: NestedAllpassL
nestedAllpassL = NestedAllpassL {
  input = 0.0,
  maxdelay1 = 0.036,
  delay1 = 0.036,
  gain1 = 0.08,
  maxdelay2 = 0.03,
  delay2 = 0.03,
  gain2 = 0.3
  }
mkNestedAllpassL :: NestedAllpassL -> S.UGen
mkNestedAllpassL (NestedAllpassL  a' b' c' d' e' f' g') = S.mkOsc S.AR "NestedAllpassL" [a',b',c',d',e',f',g'] 1
instance Make NestedAllpassL where
  ugen = mkNestedAllpassL
