-- | simple spectral compression/expansion
module Sound.SC3.UGen.Record.PV_Compander where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_Compander = PV_Compander {
  buffer :: S.UGen,
  thresh :: S.UGen,
  slopeBelow :: S.UGen,
  slopeAbove :: S.UGen
  } deriving (Show)
pV_Compander :: PV_Compander
pV_Compander = PV_Compander {
  buffer = 0.0,
  thresh = 50.0,
  slopeBelow = 1.0,
  slopeAbove = 1.0
  }
mkPV_Compander :: PV_Compander -> S.UGen
mkPV_Compander (PV_Compander  a' b' c' d') = S.mkOsc S.KR "PV_Compander" [a',b',c',d'] 1
instance Make PV_Compander where
  ugen = mkPV_Compander
