-- | Pulse divider.
module Sound.SC3.UGen.Record.PulseDivider where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PulseDivider = PulseDivider {
  rate :: S.Rate,
  trig :: S.UGen,
  div_ :: S.UGen,
  start :: S.UGen
  } deriving (Show)
pulseDivider :: PulseDivider
pulseDivider = PulseDivider {
  rate = S.AR,
  trig = 0.0,
  div_ = 2.0,
  start = 0.0
  }
mkPulseDivider :: PulseDivider -> S.UGen
mkPulseDivider (PulseDivider r a' b' c') = S.mkOsc r "PulseDivider" [a',b',c'] 1
instance Make PulseDivider where
  ugen = mkPulseDivider
