-- | buffer granulator with user envelope
module Sound.SC3.UGen.Record.TGrains3 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TGrains3 = TGrains3 {
  trigger :: S.UGen,
  bufnum :: S.UGen,
  rate_ :: S.UGen,
  centerPos :: S.UGen,
  dur :: S.UGen,
  pan :: S.UGen,
  amp :: S.UGen,
  att :: S.UGen,
  dec :: S.UGen,
  window :: S.UGen,
  interp :: S.UGen
  } deriving (Show)
tGrains3 :: TGrains3
tGrains3 = TGrains3 {
  trigger = 0.0,
  bufnum = 0.0,
  rate_ = 1.0,
  centerPos = 0.0,
  dur = 0.1,
  pan = 0.0,
  amp = 0.1,
  att = 0.5,
  dec = 0.5,
  window = 1.0,
  interp = 4.0
  }
mkTGrains3 :: TGrains3 -> S.UGen
mkTGrains3 (TGrains3  a' b' c' d' e' f' g' h' i' j' k') = S.mkOsc S.AR "TGrains3" [a',b',c',d',e',f',g',h',i',j',k'] undefined
instance Make TGrains3 where
  ugen = mkTGrains3
