-- | Tracking Phase Vocoder
module Sound.SC3.UGen.Record.TPV where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TPV = TPV {
  chain :: S.UGen,
  windowsize :: S.UGen,
  hopsize :: S.UGen,
  maxpeaks :: S.UGen,
  currentpeaks :: S.UGen,
  freqmult :: S.UGen,
  tolerance :: S.UGen,
  noisefloor :: S.UGen
  } deriving (Show)
tPV :: TPV
tPV = TPV {
  chain = 0.0,
  windowsize = 1024.0,
  hopsize = 512.0,
  maxpeaks = 80.0,
  currentpeaks = 0.0,
  freqmult = 1.0,
  tolerance = 4.0,
  noisefloor = 0.2
  }
mkTPV :: TPV -> S.UGen
mkTPV (TPV  a' b' c' d' e' f' g' h') = S.mkOsc S.AR "TPV" [a',b',c',d',e',f',g',h'] 1
instance Make TPV where
  ugen = mkTPV
