-- | pitch tracker
module Sound.SC3.UGen.Record.Tartini where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Tartini = Tartini {
  input :: S.UGen,
  threshold :: S.UGen,
  n :: S.UGen,
  k :: S.UGen,
  overlap :: S.UGen,
  smallCutoff :: S.UGen
  } deriving (Show)
tartini :: Tartini
tartini = Tartini {
  input = 0.0,
  threshold = 0.93,
  n = 2048.0,
  k = 0.0,
  overlap = 1024.0,
  smallCutoff = 0.5
  }
mkTartini :: Tartini -> S.UGen
mkTartini (Tartini  a' b' c' d' e' f') = S.mkOsc S.KR "Tartini" [a',b',c',d',e',f'] 2
instance Make Tartini where
  ugen = mkTartini
