-- | Send signal to a bus, crossfading with previous contents.
module Sound.SC3.UGen.Record.XOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data XOut = XOut {
  rate :: S.Rate,
  bus :: S.UGen,
  xfade :: S.UGen,
  input :: S.UGen
  } deriving (Show)
xOut :: XOut
xOut = XOut {
  rate = S.AR,
  bus = 0.0,
  xfade = 0.0,
  input = 0.0
  }
mkXOut :: XOut -> S.UGen
mkXOut (XOut r a' b' c') = S.mkOsc r "XOut" [a',b',c'] 1
instance Make XOut where
  ugen = mkXOut
